ranges::actions::sort_fn Struct Reference
Inheritance diagram for ranges::actions::sort_fn:

## Public Member Functions

template<typename C , typename P = identity>
CPP_TEMPLATE_AUX_0 | c (requires(!range< C >)) ccconstexpr auto operator()(C pred

## Public Attributes

CPP_TEMPLATE_AUX_0 P | C = less
CPP_TEMPLATE_AUX_0 P | proj

## Related Functions

(Note that these are not member functions.)
constexpr action_closure< sort_fn > | sort {}

## Friends And Related Function Documentation

## sort

constexpr action_closure<sort_fn> sort {}

related

See also
  action_closure

## Member Data Documentation

## proj

CPP_TEMPLATE_AUX_0 P ranges::actions::sort_fn::proj

Initial value:
= {}) const
{
return make_action_closure(
bind_back(sort_fn{}, std::move(pred), std::move(proj)));
}
template< typename Rng
ranges::make_action_closure
constexpr make_action_closure_fn make_action_closure
Definition: action.hpp:49
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994